Bug 218342 - Review Request: tibetan-machine-uni-fonts - Tibetan Machine Uni font for Tibetan, Dzongkha and Ladakhi
Review Request: tibetan-machine-uni-fonts - Tibetan Machine Uni font for Tibe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Package Reviews List
: i18n
Depends On:
Blocks: FE-ACCEPT 167536
  Show dependency treegraph
 
Reported: 2006-12-04 14:35 EST by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 09:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
tmu.spec1.patch (1.06 KB, patch)
2007-03-06 22:09 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Marcin Garski 2006-12-04 14:35:25 EST
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-fonts.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-fonts-0.0.20040806-1.src.rpm
Description: Tibetan Machine Uni is an OpenType, Unicode font released by THDL
project. The font support Tibetan, Dzongkha and Ladakhi in dbu can script with
full support for the Sanskrit combinations found in chos skad texts.

I'm not sure about version number. Archive and web site doesn't provide it, only in file you can find 001.000 version, in this case I've done the same as Debian's packager (date is taken from font file inside archive).

For more licensing info see comments from bug #167536
Comment 1 Parag AN(पराग) 2007-02-14 04:36:32 EST
mockbuild is fine for F7 i386
rpmlint reported
W: tibetan-machine-uni-fonts no-%build-section
The spec file does not contain a %build section.  Even if some packages
don't directly need it, section markers may be overridden in rpm's
configuration to provide additional "under the hood" functionality, such as
injection of automatic -debuginfo subpackages.  Add the section, even if
empty.

However for this package its not needed but its good to add that like
%build
echo "Nothing to do in Build."

I think naming of package is OK for me.
Comment 2 Parag AN(पराग) 2007-02-14 04:38:23 EST
Kindly submit new release bumping release number so that i can do (UN)Official
review of this package. I can't approve this package as I don't have SPONSOR status.
Comment 4 Parag AN(पराग) 2007-02-15 01:56:49 EST
Thanks.
Here comes (UN)official review 
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
39d9f6bf83362d45ed5d8d5f7831d153  TibetanMachineUnicodeFont.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ fonts scriptlets are used.
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ not a GUI app.

Comment 5 Jens Petersen 2007-02-15 02:21:30 EST
tibetan-machine-uni-fonts seems a bit awkward, how about naming the package
"fonts-tibetan" in line with other fonts packages?
Comment 6 Marcin Garski 2007-02-15 08:55:04 EST
In FE I have found: charis-fonts, gentium-fonts, artwiz-aleczapka-fonts and many
others, instead there are only 3 fonts-* packages so I thought naming this
package tibetan-machine-uni-fonts would be ok, but of course I could rename it.

I also have next problem, it's called ;) Jomolhari Font
(http://www.thdl.org/tools/fonts/tibfonts.php?l=uva200607171100) which I would
also want to put it in FE, but I don't known should I include this font in
fonts-tibetan (beside that fonts could display not only Tibetan but also
Dzongkha and Ladakhi) package?
Comment 7 Jens Petersen 2007-02-15 19:22:03 EST
Sorry, apologies, I incorrectly marked this review needsponsor,
but I see you already own a number of packages in Extras. :-)

(In reply to comment #6)
> In FE I have found: charis-fonts, gentium-fonts, artwiz-aleczapka-fonts and 
> many others, instead there are only 3 fonts-* packages so I thought naming this
> package tibetan-machine-uni-fonts would be ok, but of course I could rename it.

Point.  Hmm, unfortunately we don't seem to have clear policy on naming
fonts packages.  In Core currently most core fonts are now named "fonts-<lang>".
I'm not familiar with most of the fonts in Extras, but some of them look
like more miscellaneous fonts, etc.  So I can see both points of view.
So my take is, if this is the standard free font for Tibetan
then we should probably name it fonts-tibetan, otherwise we can keep
the current name.

> I also have next problem, it's called ;) Jomolhari Font
> (http://www.thdl.org/tools/fonts/tibfonts.php?l=uva200607171100) which I would
> also want to put it in FE, but I don't known should I include this font in
> fonts-tibetan (beside that fonts could display not only Tibetan but also
> Dzongkha and Ladakhi) package?

Right both fonts seem to cover more than one language, but maybe it is ok.
If the main use of this is also for Tibetan I think it is fine to include
in fonts-tibetan if it is also useful for general users of Tibetan.
Both fonts are under GPL so that is ok anyway.
Comment 8 Jens Petersen 2007-02-15 19:25:14 EST
One more question, I haven't tested the font(s) yet, do we have any support
for OTF fonts yet in Fedora?  Do we need libotf or something for that?
Comment 10 Jens Petersen 2007-02-16 01:12:04 EST
Also what is the difference between the TibetanMachineFont and
TibetanMachineWebFont, btw?

https://sourceforge.net/project/showfiles.php?group_id=61934
Comment 11 Marcin Garski 2007-02-16 14:41:26 EST
(In reply to comment #7)
> So my take is, if this is the standard free font for Tibetan
> then we should probably name it fonts-tibetan, otherwise we can keep
> the current name.

When you look at description in spec file and
http://en.wikipedia.org/wiki/Tibetan_script you will see that using this fonts
you can write in Tibetan, Dzongkha and Ladakhi. AFAIK TMU and Jomolhari are the
only free TrueType OpenType Unicode fonts that's metter
(http://www.thdl.org/tools/fonts/tibfonts.php?l=uva10924125554021&m=set), so I
could assume they are standard fonts. Then my propose is to pack TMU and
Jomolhari together and name it fonts-tibetan-dzongkha(-ladakhi)?

(In reply to comment #8)
> One more question, I haven't tested the font(s) yet, do we have any support
> for OTF fonts yet in Fedora?  Do we need libotf or something for that?

Fedora should support OpenType out of box as it include FreeType. Pango supports
Tibetan (probably Dzongkha) since 1.8.0 release (* Add Tibetan module [G
Karunakar, Pema Geyleg]), in 1.11.0 shaper module was improved (* New improved
Tibetan shaper module. [Pema Geyleg]). I don't know what's the status of Qt.

Dzongkha's version of OO.org (ICU), GNOME and FF are available (some of them
upstream).

(In reply to comment #10)
> Also what is the difference between the TibetanMachineFont and
> TibetanMachineWebFont, btw?

Tibetan Machine Uni is a Unicode version of
TibetanMachineFont/TibetanMachineWebFont so this two are obsolete. As Tibetan is
only standardized in Unicode I don't know encoding is used by TMF and TMWF.
Comment 12 Jens Petersen 2007-02-18 23:50:25 EST
Thanks for your detailed answers.

(In reply to comment #11)
> When you look at description in spec file and
> http://en.wikipedia.org/wiki/Tibetan_script you will see that using this fonts
> you can write in Tibetan, Dzongkha and Ladakhi.

Yes, but looking at the above page and other places it seems common practice
to call the script "Tibetan" and so it still seems reasonable to me to call
the package fonts-tibetan.

> Then my propose is to pack TMU and
> Jomolhari together and name it fonts-tibetan-dzongkha(-ladakhi)?

fonts-tibetan-dzongkha(-ladakhi) seems too long.  

Most references to the script(s) seem to call it Tibetan, so my feeling as
an outsider is that it is ok to just call it fonts-tibetan, but if there
is strong evidence to the contrary we should look at that.
Comment 13 Marcin Garski 2007-02-20 11:19:51 EST
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/fonts-tibetan-dzongkha.spec
SRPM URL:
http://manta.univ.gda.pl/~mgarski/fe/fonts-tibetan-dzongkha-0.0.20070220-1.src.rpm

- Package rename
Is fonts-tibetan-dzongkha also too long? I'm also outsider, but I would like to
have dzongkha in name because fonts-tibetan could be confusing, like is this
fonts are for Tibetan language or Tibetan script. What's your opinion?

- Add Jomolhari font
- Extend description section

P.S Maybe fonts-tibetan-script is the right solution? :)
Comment 14 Jens Petersen 2007-02-20 18:56:20 EST
Thanks for the update.

We really lack guidelines to help us in this case.  Our fonts-* 
packages usually just use the generic Western name for the language
(ie typically derived from the country name).
Eg in current Fedora Core we have fonts-* packages for:

arabic bengali chinese gujarati hebrew hindi japanese kannada korean malayalam
oriya punjabi sinhala tamil telugu

But note that fonts-bengali is also used for Assamese, and fonts-hindi for
Marathi, so there are some precedents for using say just fonts-tibetan
to name the package.  If I remember correctly the Tibetan population is rather
larger than that of Dzongkha and Ladakhi speakers.

Personally I prefer fonts-tibetan-script to fonts-tibetan-dzongkha.
Another approach could be to put Tibetan Machine Uni in fonts-tibetan
and Jomolhari in fonts-dzongkha (or maybe better fonts-bhutanese?).
I still rather like fonts-tibetan, and remember normal users
should not need to worry about the name of the fonts package,
they would just use pirut to "yum groupinstall bhutanese-support" etc
to get the appropriate font, input method and language packs, etc.
Comment 15 Marcin Garski 2007-02-26 11:56:33 EST
In email conversation Christopher Fynn suggest such package name:
fonts-tibetan-dzongkha
fonts-dzongkha-tibetan
fonts-tibetan-bhutanese

I would like to pack Tibetan Machine Uni and Jomolhari in one package and name
it fonts-tibetan-dzongkha, also wait for next version of fonts created by
Dzongkha Development Authority, pack it (if DDA use license that is accepted by
RH) and name it fonts-bhutanese or fonts-dzongkha (as they are Tibetan script
fonts but in Bhutanese style intended to write in Dzongkha).

Jens? :)
Comment 16 Jens Petersen 2007-02-28 03:32:47 EST
(In reply to comment #15)
> In email conversation Christopher Fynn suggest such package name:
> fonts-tibetan-dzongkha
> fonts-dzongkha-tibetan
> fonts-tibetan-bhutanese

For the record he also added "fonts-bodic" but I don't know of that is too
generic.

> I would like to pack Tibetan Machine Uni and Jomolhari in one package and name
> it fonts-tibetan-dzongkha

Ok, I don't want to drag the naming discussion on much longer.
Let me send a quick mail to fedora-devel list too on fonts package
naming guidelines input.  Thanks for your patience.  In retrospect
it might have been easy just to stick with the upstream name.
Anyway it is much harder to change the package name after the event
so it is good to get it right now. :)

Then we can just get back to the review itself. :)
Comment 17 Jens Petersen 2007-03-02 02:40:54 EST
The current feedback I got from the fedora lists is that
it may be better to package the fonts separately and
keep the name tibetan-machine-uni-fonts.  Considering also
the lack of complete consensus on the fonts-* name
I feel this is probably the most reasonable result. :)
Comment 19 Jens Petersen 2007-03-06 22:03:52 EST
Thanks, Marcin.

I preferred the original 0.0.20040806 version number: Debian is using that too.
It would be better if upstream would set the version of course...
Comment 20 Jens Petersen 2007-03-06 22:09:44 EST
Created attachment 149424 [details]
tmu.spec1.patch

some minor suggested fixes
Comment 22 Marcin Garski 2007-03-07 16:22:25 EST
As I wrote in first comment there is upstream version number in font file
(001.000) so I thought that using it will be better then 0.0.20040806, but as in
name case I'm open for discussion :)

-%{fontdir}/
+%{fontdir}

I preffer using '/' at the end of directories because it's more readable. See
comment #8 in bug #165616
Comment 23 Jens Petersen 2007-03-07 19:14:24 EST
Ok.  How about using "1.0" for the version, then?

Otherwise the package looks good to me.
Comment 24 Jens Petersen 2007-03-07 19:51:37 EST
(The only quibble with the name now might be that the package only contains a
single font.  fonts-indic's subpackages only contain a single font each though
they are named fonts-*.  I don't know if there are other fedora
examples, but I don't think this is so serious a problem.  We could consider
naming the package tibetan-machine-uni-font instead I suppose.)
Comment 25 Marcin Garski 2007-03-08 16:38:29 EST
Spec: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-font.spec
SRPM: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-font-1.000-1.src.rpm

I have changed description like that one in your patch, also defattr and of
course package name (I was wonder to aks for such name) and version number
(three zeros because I see that in Jomolhari also in TMU release number is 3
size long, and maybe new version will be 1.001?).
Comment 26 Jens Petersen 2007-03-08 19:45:42 EST
Thanks for the update.

I posted a followup on the mailing-lists asking about -font vs -fonts. :)

I am not sure about the upstream version numbering scheme: it looks to me a bit
like a traditional way of versioning .ttf files perhaps?

I am ok with 1.000.  1.0 would also be less than 1.001 even for rpm. :)
Comment 27 Jens Petersen 2007-03-11 23:11:59 EDT
One reply on fedora-maintainers saying why not just stick with "-fonts" to make
like easy for everyone.  So let's do that.

Package APPROVED.

You may still want to think about the version number and then please follow
CVSAdminProcedure to request adding the module to cvs and required branches.

Thanks for going through the long review, and sorry for being so pedantic. :)
Comment 28 Jens Petersen 2007-03-11 23:17:17 EDT
Sorry can you please post the final url to tibetan-machine-uni-fonts.spec here
for the record.  Thanks.
Comment 29 Marcin Garski 2007-03-12 08:22:15 EDT
Spec: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-fonts.spec
SRPM: http://manta.univ.gda.pl/~mgarski/fe/tibetan-machine-uni-fonts-1.0-1.src.rpm

BTW: I like to be pedantic in some cases, like this one, so that was no problem
at all and thanks for review :]
Comment 30 Marcin Garski 2007-03-12 08:27:01 EDT
New Package CVS Request
=======================
Package Name: tibetan-machine-uni-fonts
Short Description: Tibetan Machine Uni font for Tibetan, Dzongkha and Ladakhi
Owners: mgarski@post.pl
Branches: FC-5 FC-6
InitialCC: 
Comment 31 Marcin Garski 2007-03-12 08:30:36 EDT
I've tried to set fedora-cvs flag to ? as stated in CVSAdminProcedure, but I get
this messagess: "You tried to request fedora-cvs. Only an authorized user can
make this change."

I assume something is wrong, because I should be authorized user, right?
Comment 32 Michael Schwendt 2007-03-12 11:05:50 EDT
fedora_bugs group membership is still needed for that.
Comment 33 Marcin Garski 2007-03-12 11:22:04 EDT
Thanks for info. I have requested membership in this group.
Comment 34 Marcin Garski 2007-03-13 09:04:25 EDT
Imported and builded.

It would be good to change FE-REVIEW to FE-ACCEPT, but I won't do that because
it's my package :)
Comment 35 Jens Petersen 2007-03-13 20:24:56 EDT
> It would be good to change FE-REVIEW to FE-ACCEPT, but I won't do that because
> it's my package :)

I would like to also, but apparently we are not supposed to do that until
it is decided what to do with the old review trackers.
Comment 36 Jonas Nyman 2007-03-22 11:32:42 EDT
The most logical package name is fonts-tibetan. Dzongka and Ladakhi are tibetan
languages. I would consider them dialects. Native speakers of Dzongkha might
disagree for protectionistic reasons, but come on... Tibetan is the major
language, dzongka and ladakhi are dialects or sub-languages of Tibetan. 
The script is invariably called tibetan script, it was developed by tibetans in
Tibet and then exported to Bhutan and Kashmir. 
Comment 37 Jens Petersen 2007-03-22 21:56:52 EDT
Yes, but in the end we decided that it would be better to package
the individual fonts separately.  See also the thread:

https://www.redhat.com/archives/fedora-devel-list/2007-February/thread.html#01524

for more discussion.

Note You need to log in before you can comment on or make changes to this bug.